-- 18
SELECT login, firstname, lastname
FROM Speaker
WHERE NOT EXISTS (
	SELECT *
    FROM Participation
    WHERE Participation.login = Speaker.login
);

SELECT login, firstname, lastname
FROM Speaker
WHERE login NOT IN (
	SELECT login
    FROM Participation
);

SELECT Speaker.login, firstname, lastname
FROM Speaker 
LEFT JOIN Participation ON Speaker.login = Participation.login
WHERE Participation.login IS NULL;

SELECT Speaker.login, firstname, lastname
FROM Speaker 
LEFT JOIN Participation ON Speaker.login = Participation.login
GROUP BY Speaker.login
HAVING COUNT(Participation.id_conference) = 0;