-- 21
SELECT Speaker.login, firstname, lastname
FROM Speaker INNER JOIN Participation ON Speaker.login = Participation.login
GROUP BY Speaker.login
HAVING SUM(fees) = (SELECT MAX(SUM) FROM
(SELECT login, SUM(fees) AS SUM
FROM Participation
GROUP BY login));


SELECT S.login, firstname, lastname, SUM(fees) AS F
FROM Speaker AS S 
INNER JOIN Participation AS P ON S.login = P.login
GROUP BY S.login
HAVING F = (
    SELECT MAX(S) FROM (
        SELECT SUM(fees) AS S FROM Participation GROUP BY login
    ) AS G
);


WITH GBY (login, firstname, lastname, sum) AS (
    SELECT S.login, firstname, lastname, SUM(fees) AS F
    FROM Speaker AS S 
    INNER JOIN Participation AS P ON S.login = P.login
    GROUP BY S.login
)
SELECT login, firstname, lastname, sum
FROM GBY
WHERE sum = (SELECT MAX(sum) FROM GBY);